# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Servizio'
        db.create_table('app_servizio', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='app_servizio_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='app_servizio_last_modifier', null=True, to=orm['auth.User'])),
            ('status', self.gf('django.db.models.fields.CharField')(max_length=3)),
            ('profilo', self.gf('django.db.models.fields.related.ForeignKey')(related_name='servizi', to=orm['profilo.AcomeaProfilo'])),
            ('codice_cliente', self.gf('django.db.models.fields.IntegerField')()),
            ('codice_fiscale', self.gf('django.db.models.fields.CharField')(max_length=16)),
            ('tipo_operazione', self.gf('django.db.models.fields.CharField')(max_length=7)),
            ('codice_rapporto_from', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
            ('codice_deposito_from', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
            ('codice_fondo_from', self.gf('django.db.models.fields.CharField')(max_length=5, null=True, blank=True)),
            ('descrizione_fondo_from', self.gf('django.db.models.fields.CharField')(max_length=255, null=True, blank=True)),
            ('codice_tipocontratto_from', self.gf('django.db.models.fields.CharField')(max_length=5, null=True, blank=True)),
            ('tipo_piano_from', self.gf('django.db.models.fields.CharField')(max_length=5, null=True, blank=True)),
            ('patrimonio_from', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=10, decimal_places=2)),
            ('quote_from', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=10, decimal_places=2)),
            ('codice_rapporto_to', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
            ('codice_deposito_to', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
            ('codice_fondo_to', self.gf('django.db.models.fields.CharField')(max_length=5, null=True, blank=True)),
            ('descrizione_fondo_to', self.gf('django.db.models.fields.CharField')(max_length=255, null=True, blank=True)),
            ('codice_tipocontratto_to', self.gf('django.db.models.fields.CharField')(max_length=5, null=True, blank=True)),
            ('tipo_piano_to', self.gf('django.db.models.fields.CharField')(max_length=5, null=True, blank=True)),
            ('tipo_qta_movimento', self.gf('django.db.models.fields.CharField')(max_length=1, null=True, blank=True)),
            ('cognome', self.gf('django.db.models.fields.CharField')(max_length=50, null=True, blank=True)),
            ('nome', self.gf('django.db.models.fields.CharField')(max_length=50, null=True, blank=True)),
            ('mifid', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('importo', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=10, decimal_places=2)),
            ('numero_rate_piano', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
            ('importo_rata', self.gf('django.db.models.fields.DecimalField')(default=0, max_digits=10, decimal_places=2)),
            ('numero_rate_versate', self.gf('django.db.models.fields.DecimalField')(null=True, max_digits=10, decimal_places=2, blank=True)),
            ('quote', self.gf('django.db.models.fields.DecimalField')(null=True, max_digits=10, decimal_places=3, blank=True)),
            ('iban', self.gf('django.db.models.fields.CharField')(max_length=27, null=True, blank=True)),
            ('simulazione', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('numero_operazione', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
            ('data_operazione', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('frequenza', self.gf('django.db.models.fields.CharField')(max_length=1, null=True, blank=True)),
            ('data_decorrenza', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('fine_servizio', self.gf('django.db.models.fields.CharField')(max_length=1, null=True, blank=True)),
            ('fine_servizio_anno', self.gf('django.db.models.fields.PositiveSmallIntegerField')(null=True, blank=True)),
            ('fine_servizio_mese', self.gf('django.db.models.fields.PositiveSmallIntegerField')(null=True, blank=True)),
            ('rei_pro_perc_plus', self.gf('django.db.models.fields.PositiveSmallIntegerField')(default=0)),
            ('car_die_allocazione_a', self.gf('django.db.models.fields.PositiveSmallIntegerField')(default=0)),
            ('car_die_allocazione_b', self.gf('django.db.models.fields.PositiveSmallIntegerField')(default=0)),
            ('car_die_perc_var_a', self.gf('django.db.models.fields.PositiveSmallIntegerField')(default=0)),
            ('car_die_perc_riall_ab', self.gf('django.db.models.fields.PositiveSmallIntegerField')(default=0)),
            ('rib_inv_perc_scost', self.gf('django.db.models.fields.PositiveSmallIntegerField')(default=0)),
            ('rad_rib_flag', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('rad_rib_riduz_quota_a', self.gf('django.db.models.fields.PositiveSmallIntegerField')(default=0)),
            ('rad_rib_riduz_quota_b', self.gf('django.db.models.fields.PositiveSmallIntegerField')(default=0)),
            ('rad_rib_nop_pianis', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
        ))
        db.send_create_signal('app', ['Servizio'])


    def backwards(self, orm):
        # Deleting model 'Servizio'
        db.delete_table('app_servizio')


    models = {
        'app.servizio': {
            'Meta': {'object_name': 'Servizio'},
            'car_die_allocazione_a': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '0'}),
            'car_die_allocazione_b': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '0'}),
            'car_die_perc_riall_ab': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '0'}),
            'car_die_perc_var_a': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '0'}),
            'codice_cliente': ('django.db.models.fields.IntegerField', [], {}),
            'codice_deposito_from': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'codice_deposito_to': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'codice_fiscale': ('django.db.models.fields.CharField', [], {'max_length': '16'}),
            'codice_fondo_from': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'codice_fondo_to': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'codice_rapporto_from': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'codice_rapporto_to': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'codice_tipocontratto_from': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'codice_tipocontratto_to': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'cognome': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'app_servizio_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'data_decorrenza': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'data_operazione': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'descrizione_fondo_from': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'descrizione_fondo_to': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'fine_servizio': ('django.db.models.fields.CharField', [], {'max_length': '1', 'null': 'True', 'blank': 'True'}),
            'fine_servizio_anno': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'fine_servizio_mese': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'frequenza': ('django.db.models.fields.CharField', [], {'max_length': '1', 'null': 'True', 'blank': 'True'}),
            'iban': ('django.db.models.fields.CharField', [], {'max_length': '27', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'importo': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '10', 'decimal_places': '2'}),
            'importo_rata': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '10', 'decimal_places': '2'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'app_servizio_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'mifid': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'nome': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'numero_operazione': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'numero_rate_piano': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'numero_rate_versate': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '2', 'blank': 'True'}),
            'patrimonio_from': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '10', 'decimal_places': '2'}),
            'profilo': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'servizi'", 'to': "orm['profilo.AcomeaProfilo']"}),
            'quote': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '10', 'decimal_places': '3', 'blank': 'True'}),
            'quote_from': ('django.db.models.fields.DecimalField', [], {'default': '0', 'max_digits': '10', 'decimal_places': '2'}),
            'rad_rib_flag': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'rad_rib_nop_pianis': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'rad_rib_riduz_quota_a': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '0'}),
            'rad_rib_riduz_quota_b': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '0'}),
            'rei_pro_perc_plus': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '0'}),
            'rib_inv_perc_scost': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '0'}),
            'simulazione': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '3'}),
            'tipo_operazione': ('django.db.models.fields.CharField', [], {'max_length': '7'}),
            'tipo_piano_from': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'tipo_piano_to': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'tipo_qta_movimento': ('django.db.models.fields.CharField', [], {'max_length': '1', 'null': 'True', 'blank': 'True'})
        },
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '50'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'profilo.acomeaprofilo': {
            'Meta': {'ordering': "['user__email']", 'object_name': 'AcomeaProfilo'},
            'abilitato': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'auth_analisi': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'auth_societa_terze': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'auth_trattamento_dati': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'cap': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'citta': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'codice': ('django.db.models.fields.CharField', [], {'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'profilo_acomeaprofilo_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'data_di_nascita': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'data_di_registrazione': ('django.db.models.fields.DateField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'dispositivo': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'has_contratto_kiid': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'has_contratto_operativita': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'hobby_due': ('django.db.models.fields.CharField', [], {'max_length': '512', 'null': 'True', 'blank': 'True'}),
            'hobby_tre': ('django.db.models.fields.CharField', [], {'max_length': '512', 'null': 'True', 'blank': 'True'}),
            'hobby_uno': ('django.db.models.fields.CharField', [], {'max_length': '512', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'indirizzo': ('django.db.models.fields.CharField', [], {'max_length': '128', 'null': 'True', 'blank': 'True'}),
            'is_acomea': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_cliente': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_lead': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_promotore': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_utente_rete': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'iscrizione_alla_newsletter': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'profilo_acomeaprofilo_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'mercato_di_interesse': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'mifid_compilato': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'nickname': ('django.db.models.fields.CharField', [], {'max_length': '64', 'unique': 'True', 'null': 'True', 'blank': 'True'}),
            'professionale': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'provincia': ('django.db.models.fields.CharField', [], {'max_length': '2', 'null': 'True', 'blank': 'True'}),
            'rete': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['profilo.Rete']", 'null': 'True', 'blank': 'True'}),
            'telefono': ('django.db.models.fields.CharField', [], {'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'user': ('django.db.models.fields.related.OneToOneField', [], {'related_name': "'profilo'", 'unique': 'True', 'to': "orm['auth.User']"})
        },
        'profilo.rete': {
            'Meta': {'object_name': 'Rete'},
            'codice': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '32'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'profilo_rete_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'profilo_rete_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'nome': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        }
    }

    complete_apps = ['app']